> For the complete documentation index, see [llms.txt](https://developers.copyfactory.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.copyfactory.io/api/premises/get-a-premise.md).

# Get a premise

## Get a premise object by ID

<mark style="color:blue;">`GET`</mark> `https://app.copyfactory.io/api/v2/premises/get/`

Will get the sentence premise object by ID.

#### Query Parameters

| Name                                          | Type | Description                          |
| --------------------------------------------- | ---- | ------------------------------------ |
| premise\_id<mark style="color:red;">\*</mark> | int  | The premise Id you wish to retrieve. |

#### Headers

| Name                                            | Type   | Description              |
| ----------------------------------------------- | ------ | ------------------------ |
| Authorization<mark style="color:red;">\*</mark> | string | Your Copyfactory API key |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
    "data": {
        "id": 19,
        "order": 0,
        "is_active": true,
        "required_variables": [
            "person_description"
        ],
        "sentence_premise_name": "Contact",
        "profile_name": "Copyfactory"
    }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Shell" %}

```
curl --location --request GET 'https://app.copyfactory.io/api/v2/premises/get?premise_id=PREMISE-ID/' \
--header 'Authorization: API-KEY'
```

{% endtab %}

{% tab title="Python" %}

```
import requests

url = "https://app.copyfactory.io/api/v2/premises/get/"

params = (('premise_id', PREMISE-ID),)

headers = {
  'Authorization': 'API-KEY'
}

response = requests.request("GET", url, headers=headers, params=params)

print(response.text)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.copyfactory.io/api/premises/get-a-premise.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
